summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2021-02-18 09:46:02 -0300
committerSebastian <sebasjm@gmail.com>2021-02-18 09:46:02 -0300
commit87619712cd85272ab905d5714d5e6aedd2cb8156 (patch)
treeb60511a6593f8fe47c534f1667dbe33249c226f5 /configure
parentf688008107b76d7809d56d1598aeb3355c1d13ac (diff)
downloadmerchant-backoffice-87619712cd85272ab905d5714d5e6aedd2cb8156.tar.gz
merchant-backoffice-87619712cd85272ab905d5714d5e6aedd2cb8156.tar.bz2
merchant-backoffice-87619712cd85272ab905d5714d5e6aedd2cb8156.zip
implemented pnpm
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure47
1 files changed, 47 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..958dcbf
--- /dev/null
+++ b/configure
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# This file is part of GNU Taler.
+# (C) 2021 Taler Systems S.A.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE
+# LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
+# THIS SOFTWARE.
+#
+# SPDX-License-Identifier: 0BSD
+
+# This script checks if a suitable python3 executable is installed and then
+# executes the actual configure logic written in Python.
+
+scriptpath=build-system/taler-build-scripts
+
+if ! test -d "$scriptpath"; then
+ echo "fatal error: taler-build-scripts not found at $scriptpath" >&2
+ echo "hint: did you run './bootstrap'?" >&2
+ exit 1
+fi
+
+# Check that the python3 executable is on the PATH.
+# This follows PEP 394 (https://www.python.org/dev/peps/pep-0394/).
+if ! python3 --version >/dev/null 2>&1; then
+ echo "error: python3 not found" >&2
+ exit 1
+fi
+
+# Let python3 check that its own version is okay for us.
+python3 "$scriptpath/pyvercheck.py" || exit $?
+
+# Allow Python to find libraries that are checked into the build system git.
+export PYTHONPATH="$scriptpath:${PYTHONPATH:-}"
+
+export TALERBUILDSYSTEMDIR=./build-system
+
+# Call configure.py, assuming all went well.
+python3 $TALERBUILDSYSTEMDIR/configure.py "$@"